Bug 967057 - No sound in headphones, only in speaker, but jack connection is detected
No sound in headphones, only in speaker, but jack connection is detected
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-24 11:23 EDT by Gendre Sébastien
Modified: 2014-06-24 06:00 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-27 11:01:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Information from alsa-info.sh (36.61 KB, text/plain)
2013-05-24 11:23 EDT, Gendre Sébastien
no flags Details

  None (edit)
Description Gendre Sébastien 2013-05-24 11:23:04 EDT
Description of problem:

I have sound on speakers but not in the headphones. When I plug the jack of the headphones, system detect it and show right infomations on audio settings.

I noticed this problem when F18 passed the kernel from 3.8 to 3.9.

As you can see it, it seems to be a regression of kernel 3.9: https://patchwork.kernel.org/patch/2563021/

Version-Release number of selected component (if applicable):

kernel: 
- Version: 3.9.2
- Révision: 200.fc18

Alsa-infos: see attachment

How reproducible:

Steps to Reproduce:
1. Plug a headphones in right jack connector.
2. Listening.

Actual results:

No sound in headphones.

Expected results:

Sound in headphones.

Additional info:

It's a big problem, can't listen music at work.
Comment 1 Gendre Sébastien 2013-05-24 11:23:51 EDT
Created attachment 752728 [details]
Information from alsa-info.sh
Comment 2 Raymond 2013-05-24 23:16:44 EDT
http://mailman.alsa-project.org/pipermail/alsa-devel/2012-November/056810.html

you may need to send email to author how to verify the missing node 0x3e
Comment 3 Gendre Sébastien 2013-06-07 07:04:32 EDT
Fedora can apply the patch before the upstream?
Comment 4 Justin M. Forbes 2013-10-18 17:13:00 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 18 kernel bugs.

Fedora 18 has now been rebased to 3.11.4-101.fc18.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 19, and are still experiencing this issue, please change the version to Fedora 19.

If you experience different issues, please open a new bug report for those.
Comment 5 Justin M. Forbes 2013-11-27 11:01:52 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  

It has been over a month since we asked you to test the 3.11 kernel updates and let us know if your issue has been resolved or is still a problem. When this happened, the bug was set to needinfo.  Because the needinfo is still set, we assume either this is no longer a problem, or you cannot provide additional information to help us resolve the issue.  As a result we are closing with insufficient data. If this is still a problem, we apologize, feel free to reopen the bug and provide more information so that we can work towards a resolution

If you experience different issues, please open a new bug report for those.
Comment 6 Gendre Sébastien 2014-06-24 06:00:38 EDT
Actually, I use Fedora 20 with Kernel 3.14.8-200 and it work.

Note You need to log in before you can comment on or make changes to this bug.